Jobs
List jobs
GET
/v1/jobs List the authenticated user's jobs, optionally filtered by project, type, source, and acknowledged state.
Request
curl "https://api.rendley.com/v1/jobs" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/jobs", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/jobs",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_id | string | Optional | Filter by project ID |
job_type | string | Optional | Filter by job type |
acknowledged | boolean | Optional | Filter by acknowledged state |
source_type | string | Optional | Filter by source type (defaults to studio) |
source_id | string | Optional | Filter by source ID |
Example response
{
"data": [
{
"acknowledged": true,
"error": "string",
"id": "string",
"input_data": "string",
"result_data": "string",
"source_id": "string",
"source_type": "string",
"status": "string",
"type": "string"
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
Get a job
GET
/v1/jobs/{id} Get a single job owned by the authenticated user by its ID.
Request
curl "https://api.rendley.com/v1/jobs/ID" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/jobs/ID", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/jobs/ID",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Job ID |
Example response
{
"data": {
"acknowledged": true,
"error": "string",
"id": "string",
"input_data": "string",
"result_data": "string",
"source_id": "string",
"source_type": "string",
"status": "string",
"type": "string"
}
} Response codes
| Status | Description |
|---|---|
200 | OK |
401 | Unauthorized |
404 | Not Found |
Update a job
PATCH
/v1/jobs/{id} Update a job owned by the authenticated user, e.g. mark it acknowledged.
Request
curl -X PATCH "https://api.rendley.com/v1/jobs/ID" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"acknowledged": true
}' const res = await fetch("https://api.rendley.com/v1/jobs/ID", {
method: "PATCH",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"acknowledged": true
}),
});
const { data } = await res.json(); import requests
res = requests.patch(
"https://api.rendley.com/v1/jobs/ID",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"acknowledged": True
},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Job ID |
Request body
| Name | Type | Required | Description |
|---|---|---|---|
acknowledged | boolean | Optional |
Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
404 | Not Found |
Cancel a job
DELETE
/v1/jobs/{id} Cancel a job owned by the authenticated user by its ID.
Request
curl -X DELETE "https://api.rendley.com/v1/jobs/ID" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/jobs/ID", {
method: "DELETE",
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.delete(
"https://api.rendley.com/v1/jobs/ID",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Job ID |
Response codes
| Status | Description |
|---|---|
200 | OK |
401 | Unauthorized |
404 | Not Found |